StrokeLineJoin (JavaFX 13)

Module javafx.graphics
Package javafx.scene.shape

## Enum StrokeLineJoin

- java.lang.Object
- - java.lang.Enum<StrokeLineJoin>
  - - javafx.scene.shape.StrokeLineJoin

- All Implemented Interfaces:
    `Serializable`, `Comparable<StrokeLineJoin>`

      public enum StrokeLineJoin
      extends Enum<StrokeLineJoin>

  Defines the line join style of a `Shape`.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BEVEL` | Joins path segments by connecting the outer corners of their wide outlines with a straight segment.
    `MITER` | Joins path segments by extending their outside edges until they meet.
    `ROUND` | Joins path segments by rounding off the corner at a radius of half the line width.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StrokeLineJoin` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static StrokeLineJoin[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MITER

          public static final StrokeLineJoin MITER

      Joins path segments by extending their outside edges until they meet.

    - #### BEVEL

          public static final StrokeLineJoin BEVEL

      Joins path segments by connecting the outer corners of their wide outlines with a straight segment.

    - #### ROUND

          public static final StrokeLineJoin ROUND

      Joins path segments by rounding off the corner at a radius of half the line width.

  - ### Method Detail

    - #### values

          public static StrokeLineJoin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StrokeLineJoin c : StrokeLineJoin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StrokeLineJoin valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null